import Foundation

/**
 An object to store the necessary information to authenticate a device to the server.
 */
public struct DeviceAuthentication: Codable {

    /**
     The push token of the device.

     The token is used to uniquely identify the device.
     */
    let pushToken: PushToken

    /**
     The authentication token of the device.

     This token is created by the server during device registration, and used for all subsequent requests.
     */
    let authentication: AuthenticationToken

}
